Try ERPNext Buy Support Partners Foundation Foundation Members

Installing ERPNext on Digital OCean ubuntu 16.04 LTS Easy Install Error

In Easy Install method I am getting this error almost everytime. I have tried for almost 4/5 times. This is the Error I get most:

Blockquotefatal: [localhost]: FAILED! => {
“changed”: true,
“cmd”: [
“bench”,
“new-site”,
“site1.local”,
“–admin-password”,
“tarique2010”,
“–mariadb-root-password”,
“mysql”
],
“delta”: “0:00:33.048072”,
“end”: “2019-10-31 15:26:10.207700”,
“invocation”: {
“module_args”: {
“_raw_params”: “bench new-site site1.local --admin-password ‘tarique2010’ --mariadb-root-password ‘mysql’”,
“_uses_shell”: false,
“argv”: null,
“chdir”: “/home/frappe/frappe-bench”,
“creates”: null,
“executable”: null,
“removes”: null,
“stdin”: null,
“stdin_add_newline”: true,
“strip_empty_ends”: true,
“warn”: true
}
},
“msg”: “non-zero return code”,
“rc”: 1,
“start”: “2019-10-31 15:25:37.159628”,
“stderr”: “Traceback (most recent call last):\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 484, in connect\n sock = self._connect()\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 541, in _connect\n raise err\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 529, in _connect\n sock.connect(socket_address)\nConnectionRefusedError: [Errno 111] Connection refused\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/client.py”, line 2879, in execute\n return execute(conn, stack, raise_on_error)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/client.py”, line 2749, in _execute_transaction\n connection.send_packed_command(all_cmds)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 585, in send_packed_command\n self.connect()\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 489, in connect\n raise ConnectionError(self._error_message(e))\nredis.exceptions.ConnectionError: Error 111 connecting to localhost:11000. Connection refused.\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 484, in connect\n sock = self._connect()\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 541, in _connect\n raise err\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 529, in _connect\n sock.connect(socket_address)\nConnectionRefusedError: [Errno 111] Connection refused\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File “/usr/lib/python3.5/runpy.py”, line 184, in _run_module_as_main\n “main”, mod_spec)\n File “/usr/lib/python3.5/runpy.py”, line 85, in _run_code\n exec(code, run_globals)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in \n main()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main\n click.Group(commands=commands)(prog_name=‘bench’)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 764, in call\n return self.main(*args, **kwargs)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 717, in main\n rv = self.invoke(ctx)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke\n return _process_result(sub_ctx.command.invoke(sub_ctx))\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke\n return _process_result(sub_ctx.command.invoke(sub_ctx))\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 956, in invoke\n return ctx.invoke(self.callback, **ctx.params)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 555, in invoke\n return callback(*args, **kwargs)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py”, line 32, in new_site\n db_type=db_type)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py”, line 73, in _new_site\n _install_app(app, verbose=verbose, set_as_patched=not source_sql)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 92, in install_app\n frappe.get_attr(after_install)()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/install.py”, line 19, in after_install\n install_basic_docs()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/install.py”, line 77, in install_basic_docs\n frappe.get_doc(d).insert()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 259, in insert\n self.run_post_save_methods()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 919, in run_post_save_methods\n self.run_method(“on_update”)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 787, in run_method\n out = Document.hook(fn)(self, *args, **kwargs)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 1058, in composer\n return composed(self, method, *args, **kwargs)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 1041, in runner\n add_to_return_value(self, fn(self, *args, **kwargs))\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 781, in \n fn = lambda self, *args, **kwargs: getattr(self, method)(*args, **kwargs)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/core/doctype/user/user.py”, line 93, in on_update\n self.share_with_self()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/core/doctype/user/user.py”, line 177, in share_with_self\n flags={“ignore_share_permission”: True})\n File “/home/frappe/frappe-bench/apps/frappe/frappe/share.py”, line 44, in add\n notify_assignment(user, doctype, name, everyone)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/share.py”, line 171, in notify_assignment\n enqueue_create_notification(shared_by, notification_doc)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/desk/doctype/notification_log/notification_log.py”, line 38, in enqueue_create_notification\n now=frappe.flags.in_test\n File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 1475, in enqueue\n return frappe.utils.background_jobs.enqueue(*args, **kwargs)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/background_jobs.py”, line 69, in enqueue\n kwargs=queue_args)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/rq/queue.py”, line 258, in enqueue_call\n job = self.enqueue_job(job, at_front=at_front)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/rq/queue.py”, line 331, in enqueue_job\n pipe.execute()\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/client.py”, line 2894, in execute\n return execute(conn, stack, raise_on_error)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/client.py”, line 2749, in _execute_transaction\n connection.send_packed_command(all_cmds)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 585, in send_packed_command\n self.connect()\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 489, in connect\n raise ConnectionError(self._error_message(e))\nredis.exceptions.ConnectionError: Error 111 connecting to localhost:11000. Connection refused.”,
“stderr_lines”: [
“Traceback (most recent call last):”,
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 484, in connect",
" sock = self._connect()",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 541, in _connect",
" raise err",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 529, in _connect",
" sock.connect(socket_address)",
“ConnectionRefusedError: [Errno 111] Connection refused”,
“”,
“During handling of the above exception, another exception occurred:”,
“”,
“Traceback (most recent call last):”,
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/client.py”, line 2879, in execute",
" return execute(conn, stack, raise_on_error)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/client.py”, line 2749, in _execute_transaction",
" connection.send_packed_command(all_cmds)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 585, in send_packed_command",
" self.connect()",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 489, in connect",
" raise ConnectionError(self._error_message(e))",
“redis.exceptions.ConnectionError: Error 111 connecting to localhost:11000. Connection refused.”,
“”,
“During handling of the above exception, another exception occurred:”,
“”,
“Traceback (most recent call last):”,
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 484, in connect",
" sock = self._connect()",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 541, in _connect",
" raise err",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 529, in _connect",
" sock.connect(socket_address)",
“ConnectionRefusedError: [Errno 111] Connection refused”,
“”,
“During handling of the above exception, another exception occurred:”,
“”,
“Traceback (most recent call last):”,
" File “/usr/lib/python3.5/runpy.py”, line 184, in _run_module_as_main",
" “main”, mod_spec)",
" File “/usr/lib/python3.5/runpy.py”, line 85, in _run_code",
" exec(code, run_globals)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in “,
" main()”,
" File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main",
" click.Group(commands=commands)(prog_name=‘bench’)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 764, in call",
" return self.main(*args, **kwargs)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 717, in main",
" rv = self.invoke(ctx)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke",
" return _process_result(sub_ctx.command.invoke(sub_ctx))",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke",
" return _process_result(sub_ctx.command.invoke(sub_ctx))",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 956, in invoke",
" return ctx.invoke(self.callback, **ctx.params)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 555, in invoke",
" return callback(*args, **kwargs)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py”, line 32, in new_site",
" db_type=db_type)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py”, line 73, in _new_site",
" _install_app(app, verbose=verbose, set_as_patched=not source_sql)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 92, in install_app",
" frappe.get_attr(after_install)()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/install.py”, line 19, in after_install",
" install_basic_docs()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/install.py”, line 77, in install_basic_docs",
" frappe.get_doc(d).insert()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 259, in insert",
" self.run_post_save_methods()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 919, in run_post_save_methods",
" self.run_method(“on_update”)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 787, in run_method",
" out = Document.hook(fn)(self, *args, **kwargs)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 1058, in composer",
" return composed(self, method, *args, **kwargs)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 1041, in runner",
" add_to_return_value(self, fn(self, *args, **kwargs))",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 781, in “,
" fn = lambda self, *args, **kwargs: getattr(self, method)(*args, **kwargs)”,
" File “/home/frappe/frappe-bench/apps/frappe/frappe/core/doctype/user/user.py”, line 93, in on_update",
" self.share_with_self()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/core/doctype/user/user.py”, line 177, in share_with_self",
" flags={“ignore_share_permission”: True})",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/share.py”, line 44, in add",
" notify_assignment(user, doctype, name, everyone)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/share.py”, line 171, in notify_assignment",
" enqueue_create_notification(shared_by, notification_doc)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/desk/doctype/notification_log/notification_log.py”, line 38, in enqueue_create_notification",
" now=frappe.flags.in_test",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 1475, in enqueue",
" return frappe.utils.background_jobs.enqueue(*args, **kwargs)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/background_jobs.py”, line 69, in enqueue",
" kwargs=queue_args)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/rq/queue.py”, line 258, in enqueue_call",
" job = self.enqueue_job(job, at_front=at_front)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/rq/queue.py”, line 331, in enqueue_job",
" pipe.execute()",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/client.py”, line 2894, in execute",
" return execute(conn, stack, raise_on_error)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/client.py”, line 2749, in _execute_transaction",
" connection.send_packed_command(all_cmds)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 585, in send_packed_command",
" self.connect()",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 489, in connect",
" raise ConnectionError(self._error_message(e))",
“redis.exceptions.ConnectionError: Error 111 connecting to localhost:11000. Connection refused.”
],
“stdout”: "Creating Database…\n\nInstalling frappe…\n\rUpdating DocTypes for frappe : [ ]\rUpdating DocTypes for frappe : [ ]\rUpdating DocTypes for frappe

Then I checked the status of redis :slight_smile:

frappe@erptest:/root$ systemctl status redis
● redis-server.service - Advanced key-value store
Loaded: loaded (/lib/systemd/system/redis-server.service; enabled; vendor preset: enabled)
Active: active (running) since Thu 2019-10-31 15:16:35 UTC; 14min ago
Docs: http://redis.io/documentation,
man:redis-server(1)
Main PID: 2599 (redis-server)
Tasks: 3
Memory: 832.0K
CPU: 1.056s
CGroup: /system.slice/redis-server.service
└─2599 /usr/bin/redis-server 127.0.0.1:6379

Then I checked the status of MySQL:

Blockquote systemctl status mysql
● mariadb.service - MariaDB 10.2.27 database server
Loaded: loaded (/lib/systemd/system/mariadb.service; enabled; vendor preset: enabled)
Drop-In: /etc/systemd/system/mariadb.service.d
└─migrated-from-my.cnf-settings.conf
Active: active (running) since Thu 2019-10-31 15:24:47 UTC; 7min ago
Docs: man:mysqld(8)
https://mariadb.com/kb/en/library/systemd/
Process: 7934 ExecStartPost=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
Process: 7930 ExecStartPost=/etc/mysql/debian-start (code=exited, status=0/SUCCESS)
Process: 7618 ExecStartPre=/bin/sh -c [ ! -e /usr/bin/galera_recovery ] && VAR= || VAR=/usr/bin/galera_recovery; [ $? -eq 0 ] && systemctl set-environment _WSREP_START_POSITION=$VAR ||
Process: 7612 ExecStartPre=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
Process: 7606 ExecStartPre=/usr/bin/install -m 755 -o mysql -g root -d /var/run/mysqld (code=exited, status=0/SUCCESS)
Main PID: 7897 (mysqld)
Status: “Taking your SQL requests now…”
Tasks: 31
Memory: 137.3M
CPU: 5.426s
CGroup: /system.slice/mariadb.service
└─7897 /usr/sbin/mysqld

Can anyone please help?

.

I get this error when I tried for the second time

fatal: [localhost]: FAILED! => {
“changed”: true,
“cmd”: [
“bench”,
“–site”,
“site1.local”,
“install-app”,
“erpnext”
],
“delta”: “0:02:05.275273”,
“end”: “2019-10-31 15:49:29.513270”,
“invocation”: {
“module_args”: {
“_raw_params”: “bench --site site1.local install-app erpnext”,
“_uses_shell”: false,
“argv”: null,
“chdir”: “/home/frappe/frappe-bench”,
“creates”: null,
“executable”: null,
“removes”: null,
“stdin”: null,
“stdin_add_newline”: true,
“strip_empty_ends”: true,
“warn”: true
}
},
“msg”: “non-zero return code”,
“rc”: 1,
“start”: “2019-10-31 15:47:24.237997”,
“stderr”: “Traceback (most recent call last):\n File “/usr/lib/python3.5/runpy.py”, line 184, in _run_module_as_main\n “main”, mod_spec)\n File “/usr/lib/python3.5/runpy.py”, line 85, in _run_code\n exec(code, run_globals)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in \n main()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main\n click.Group(commands=commands)(prog_name=‘bench’)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 764, in call\n return self.main(*args, **kwargs)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 717, in main\n rv = self.invoke(ctx)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke\n return _process_result(sub_ctx.command.invoke(sub_ctx))\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke\n return _process_result(sub_ctx.command.invoke(sub_ctx))\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 956, in invoke\n return ctx.invoke(self.callback, **ctx.params)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 555, in invoke\n return callback(*args, **kwargs)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/decorators.py”, line 17, in new_func\n return f(get_current_context(), *args, **kwargs)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/init.py”, line 25, in _func\n ret = f(frappe._dict(ctx.obj), *args, **kwargs)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py”, line 173, in install_app\n _install_app(app, verbose=context.verbose)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 84, in install_app\n add_to_installed_apps(name)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 108, in add_to_installed_apps\n post_install(rebuild_website)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 169, in post_install\n init_singles()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 190, in init_singles\n doc.save()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 272, in save\n return self._save(*args, **kwargs)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 295, in _save\n self.insert()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 223, in insert\n self._validate_links()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 756, in _validate_links\n frappe.LinkValidationError)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 360, in throw\n msgprint(msg, raise_exception=exc, title=title, indicator=‘red’)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 346, in msgprint\n _raise_exception()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 315, in _raise_exception\n raise raise_exception(msg)\nfrappe.exceptions.LinkValidationError: Could not find Default Currency: INR”,
“stderr_lines”: [
“Traceback (most recent call last):”,
" File “/usr/lib/python3.5/runpy.py”, line 184, in _run_module_as_main",
" “main”, mod_spec)",
" File “/usr/lib/python3.5/runpy.py”, line 85, in _run_code",
" exec(code, run_globals)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in “,
" main()”,
" File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main",
" click.Group(commands=commands)(prog_name=‘bench’)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 764, in call",
" return self.main(*args, **kwargs)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 717, in main",
" rv = self.invoke(ctx)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke",
" return _process_result(sub_ctx.command.invoke(sub_ctx))",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke",
" return _process_result(sub_ctx.command.invoke(sub_ctx))",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 956, in invoke",
" return ctx.invoke(self.callback, **ctx.params)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 555, in invoke",
" return callback(*args, **kwargs)",
" File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/decorators.py”, line 17, in new_func",
" return f(get_current_context(), *args, **kwargs)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/init.py”, line 25, in _func",
" ret = f(frappe._dict(ctx.obj), *args, **kwargs)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py”, line 173, in install_app",
" _install_app(app, verbose=context.verbose)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 84, in install_app",
" add_to_installed_apps(name)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 108, in add_to_installed_apps",
" post_install(rebuild_website)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 169, in post_install",
" init_singles()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 190, in init_singles",
" doc.save()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 272, in save",
" return self._save(*args, **kwargs)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 295, in _save",
" self.insert()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 223, in insert",
" self._validate_links()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 756, in _validate_links",
" frappe.LinkValidationError)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 360, in throw",
" msgprint(msg, raise_exception=exc, title=title, indicator=‘red’)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 346, in msgprint",
" _raise_exception()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 315, in _raise_exception",
" raise raise_exception(msg)",
“frappe.exceptions.LinkValidationError: Could not find Default Currency: INR”